
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>java继承 在子类中声明同名变量的问题？？？ / iVAN</title>

    <meta name="description" content="java继承 在子类中声明同名变量的问题？？？ 问题描述 java继承 在子类中声明同名变量的问题??? 如下代码: class Person { String name; int age; public void introduce(){ System.out.println(&quot;姓名是&quot; + name + &quot;,年龄是&quot; + age); } } public class Students extends Person{ // String name; public static void main(St ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">java继承 在子类中声明同名变量的问题？？？</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h1>问题描述</h1>
<dl>
<dt>java继承 在子类中声明同名变量的问题？？？
        </dt>
<dd>
          <br />如下代码：</p>
<pre><code> class Person {
String name;
int age;

public void introduce(){
System.out.println("姓名是" + name + ",年龄是" + age);
}
}

public class Students extends Person{
//  String name;

public static void main(String[] args) {
Students students = new Students();
students.name = "小明";
students.age = 24;
students.introduce();
}
}
</code></pre>
<p>这段代码执行结果打印 姓名是小明,年龄是24<br />
但是把那行注释语句加上的话 打印结果是姓名是null,年龄是24<br />
为什么呢？<br />
貌似有继承中变量的覆盖或者说是隐藏的问题，不是很理解，求助了。</p>
</dd>
</dl>
<h1>解决方案</h1>
<p>class Person{<br />
    private String name;<br />
    private int age;<br />
    Person(String name, int age){<br />
        this.name = name;<br />
        this.age = age;<br />
    }<br />
    public void introduce(){<br />
        System.out.println("姓名是" + name + ",年龄是" + age);<br />
    }</p>
<p>}</p>
<p>public class Students extends Person {<br />
    public static void main(String[] args){<br />
        Students students = new Person("小明"，24);<br />
        students.introduce();<br />
    }<br />
}</p>
<p>解决方案二：<br />
    <br />如果父类和子类存在同名变量，这两个同名变量会同时存在，成员变量不存在多态。也就是这两个同名变量，访问这个成员变量的是哪个类，就访问的是哪个类的变量。<br />
比如Person.name就是访问person的,students.name就是访问students</p>
<p>解决方案三：<br />
    <br />你好，谢谢你的回答。想问一下，<br />
同样是调用父类的introduce()方法，在声明同名变量name之前，访问到的是子类变量的值(如上，打印出的是"小明")<br />
而在声明了同名变量后，调用introduce()方法,咋访问到的是父类的变量值呢( 如上，打印出的是null)</p>
<p>解决方案四：<br />
    <br />哎呀，好像明白了一些。原来没有同名变量之前，操作的都是父类的变量呀。<br />
我原本对继承的理解是，如果继承了父类的变量，那么子类对象中，也会有自己独立的与父类相同的变量。也就是说，实例化一个子类，会生成父类和子类两个对象，而他们拥有的变量也是一样的。<br />
按你的说法就是，如果实例化子类，会生成两个父类子类两个对象，但如果没有同名变量的情况下，其实只有父类对象中有变量的，子类对象中啥都没有。<br />
是这个意思吗，不好意思，语文不好，话说的绕了些。。</p>
<p>解决方案五：<br />
    <br />注释行放开后，只要关注下打印时是在父类打印的因此name为空。有个选择叫最近选择，具体是哪个变量哪个离得近就是了。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 10:31:55</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/java/" title="java">java</a>, <a href="https://www.iamivan.net/tag/%e7%bb%a7%e6%89%bf/" title="继承">继承</a>, <a href="https://www.iamivan.net/tag/%e8%a6%86%e7%9b%96/" title="覆盖">覆盖</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>java继承 在子类中声明同名变量的问题？？？的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPBleqb.html" rel="bookmark">嵌入式软件-比较大的项目中，头文件中声明的变量和函数一般不太好确定前面是不是要加extern把</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 比较大的项目中,头文件中声明的变量和函数一般不太好确定前面是不是要加extern把 比如这个.h文件中他用了一个ifdef,这个只是一个类似一个标志吧,任何程序里面都可以这样用吗,这是比较好的方式吗 解决方案 这是查看宏定义,判断是否define了这个宏.然后决定后面的各种定义.以endif结尾 解决方案二: ifdef你可以看做if..extern表示你函数定义在别的文件里.这里应该是为了防止冲突,通过宏值,决定是否是用本类中的该函数还是其他文件的相同命名的函数(起函数功能可能有所区			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmKrx5b.html" rel="bookmark">java-myeclipse中声明的变量无法使用，小数点后的提示也不可用了，</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 myeclipse中声明的变量无法使用,小数点后的提示也不可用了, 不是语法问题,重启过 ,也重新安装过也不行,与智能提示无关,手动输入完整无误的语句还是会报错 解决方案 是放在main方法里面的嘛? 解决方案二: 把全部的代码贴出来看哈 解决方案三: 你那个分号是中文的吧 解决方案四: 你那个分号是中文的吧 解决方案五: 请将代码写入方法或是 Main函数中 解决方案六: 为什么那个点号会出错.你这个配置了bulid path了吗?			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlAa4np.html" rel="bookmark">static-objective中声明静态变量</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 objective中声明静态变量 要做一个类似这样的类: public class test{public static final String tableName = &quot;&quot;asdfas&quot;&quot;; public static final String id_Column = &quot;&quot;_id&quot;&quot;;public static final String Z_ENT_Column = &quot;&quot;Z_ENT&quot;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zVdLxBM.html" rel="bookmark">iOS 在类实现定义中声明成员变量的怪异方式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				WebGL 规范(WebGL Specification) 太阳火神的美丽人生 (http://blog.csdn.net/opengl_es) 本文遵循&quot;署名-非商业用途-保持一致&quot;创作公用协议 转载请保留此句:太阳火神的美丽人生 -  本博客专注于 敏捷开发及移动和物联设备研究:iOS.Android.Html5.Arduino.pcDuino,否则,出自本博客的文章拒绝转载或再转载,谢谢合作. 看看下面的用法,几年前系统地看过 Objective-C 2.0 的官方文档和那本老外			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MyKEAkz.html" rel="bookmark">java算法实现excel中的单变量求解，算法问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 在一个excel中.图中画红圈的都是已知数,时间也是已知数.由此可知第一期的利息为404000*31*0.096/360第N期的利息为(N-1)期未还本金*(N-1期都N期时间天数差)*0.096/360每期的租金是相同的,租金=本金+利息现在我想用java算法求出每期租金在excel中适用的是假设分析中的单变量求解.求大婶可以解答一下!!!			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MR99GGb.html" rel="bookmark">C语言如何跨文件调用函数定义中声明的变量</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				变量的作用域 我们知道,变量根据其作用域有全局变量和局部变量之分.全局变量作用域是整个文件,并且可以使用关键字 extern 达到跨文件调用的目的.但是局部变量值作用于它当前所在的块(即该变量所处最内层中括号之间的区域),当函数执行完并离开当前块后,局部变量及其所处内存空间的值就会销毁. static 关键字 static + 变量声明 表示声明的这个变量是静态变量.静态不是说它的值不会被改变,而是它在内存中的地址静止不动,这也就意味着它的值从一直到函数运行结束之前,都不会被销毁.有趣的是,它声			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYRKPQp.html" rel="bookmark">Java 25天基础-DAY 07-面向对象-继承子父类中变量的特点-函数的另一个特性重写（覆盖）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				继承: 1.提高了代码的复用性 2.让类与类之间产生了关系,有了这个关系,才有了多态的特性. 注意: 千万不要为了获取其他类的功能,简化代码而继承. 必须是类与类之间有所属关系才可以继承,所属关系is a(谁是谁的一种); java语言中,Java只支持单继承,不支持多继承. 因为多继承容易带来安全隐患:当多个父类中定义了相同的功能,当功能内容不同时,子类对象不确定要运行那一个. 但是Java保留了这种机制,并用另一种体现形式来完成表示,&quot;多实现&quot; Java支持的多层继承: 也就是一个			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXKqP5M.html" rel="bookmark">解析Java继承中方法的覆盖和重载&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				方法的覆盖 在类继承中,子类可以修改从父类继承来的方法,也就是说子类能创建一个与父类方法有不同功能的方法,但具有相同的名称.返回值类型.参数列表. 如果在新类中定义一个方法,其名称.返回值类型和参数列表正好与父类中的相同,那么,新方法被称做覆盖旧方法. 参数列表又叫参数签名,包括参数的类型.参数的个数和参数的顺序,只要有一个不同就叫做参数列表不同. 被覆盖的方法在子类中只能通过super调用. 注意:覆盖不会删除父类中的方法,而是对子类的实例隐藏,暂时不使用. 请看下面的例子: public c			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zVw64Db.html" rel="bookmark">C语言中声明和定义详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				变量声明和变量定义 变量定义:用于为变量分配存储空间,还可为变量指定初始值.程序中,变量有且仅有一个定义. 变量声明:用于向程序表明变量的类型和名字. 定义也是声明,extern声明不是定义 定义也是声明:当定义变量时我们声明了它的类型和名字. extern声明不是定义:通过使用extern关键字声明变量名而不定义它. [注意] 变量在使用前就要被定义或者声明. 在一个程序中,变量只能定义一次,却可以声明多次. 定义分配存储空间,而声明不会. C++程序通常由许多文件组成,为了让多个文件访问相同			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lpdym3z.html" rel="bookmark" class="title">ubuntu-用omni安卓6&period;0分支编译twrp recovery出错，</a>
					<div>
						问题描述 用omni安卓6.0分支编译twrp recovery出错, device配置文件从github上下载的,不知道这一步出错到底啥意思,已崩溃!求指点一二 解决方案 图如下!求大神答疑!!					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9zedx7p.html" rel="bookmark" class="title">使用Web标准建站第11天：不用表格的菜单</a>
					<div>
						web|web标准|菜单|web标准|菜单 布局初步搭建起来,我开始填充里面的内容.首先是定义logo图片: 样式表:#logo {MARGIN: 0px;padding:0px;WIDTH: 200 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VzwO9Ez.html" rel="bookmark" class="title">图片分享网站的前世今生</a>
					<div>
						谈起相册,首先出现在大家脑海里的肯定就是163相册了,这个耳熟能详的英雄曾经压倒了多少对手,如今却如烛火残年的老人一般危危可急. 当前一段时间地位如同youtube一般的全球图片共享网站flickr被 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMyQKvM.html" rel="bookmark" class="title">网页设计师参考&colon;网页设计和网页工具网站</a>
					<div>
						作为国内的网页设计师会经常访问一些国外知名的网页设计类网站,有提供网页设计欣赏的灵感类,有提供编码与工具下载的,还有提供网页测试的.这些网站对于网页设计师都十分有用,建议经常关注下. 本文将会展示一些 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMrB66M.html" rel="bookmark" class="title">当前seo的不好现状</a>
					<div>
						当前seo的不好现状.今天合肥seo跟大家探讨一下目前seo有哪些不好的现状.当前seo可以说是普及了,比如那些搞网站的或多或少都会懂点网站优化方面的东西.大部分的编辑人员和外链人员已经也在接触seo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRyy33b.html" rel="bookmark" class="title">Animation全接触（2）：ParentAnimation模型</a>
					<div>
						ParentAnimation,顾名思义,是一组Animation的父亲,是所有需要包含其它Animation的父类,我们 熟悉的ParallelAnimation(并行动画)和SequenceAni ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk2xKEM.html" rel="bookmark" class="title">非对称加密（2）非对称加密算法</a>
					<div>
						基本流程很简单,那么公钥加密,私钥解密的算法原理到底是什么呢?本节简要阐述RSA算法.DSA算法.ECC算法.Diffie-Hellman算法的基本原理,其中涉及很多数论.离散数学以及解析几何方面的数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPxQWz.html" rel="bookmark" class="title">Win8&period;1系统如何将IE10设置为默认浏览器</a>
					<div>
						Win8.1系统如何将IE10设置为默认浏览器 1.打开电脑的控制面板; 2.进入后点击&quot;默认程序&quot;; 3.进入点击默认程序设置; 4.进入系统会自动检测电脑上的浏览器(这是IE9 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze7jJwM.html" rel="bookmark" class="title">Win7进行视频截图时黑屏怎么办&quest;</a>
					<div>
						  1.在解决本地播放时出现截图变黑问题,一般有两个方法可以用来解决,一个方法是用两个不同的播放器,同时打开同一个文件;另一个方法是禁用DirectDraw. 2.默认情况下,DirectDraw在W ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQxANp.html" rel="bookmark" class="title">浅谈经常访问名人博客的好处</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 博客在前几年很火,后来逐渐被SNS ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRq80Gb.html" rel="bookmark" class="title">小白求大神解答，怎么在布局文件里让左边的图片和右边的文本框高度一致</a>
					<div>
						问题描述 小白求大神解答,怎么在布局文件里让左边的图片和右边的文本框高度一致 代码如下:&lt;?xml version=&quot;&quot;1.0&quot;&quot; encoding=&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn7g6rz.html" rel="bookmark" class="title">从技术架构看如何打造专业SaaS客服平台</a>
					<div>
						12月7日,逸创云客服CTO刘铭老师,在[DBA+社群]中间件用户组进行了一次主题为&quot;从技术架构看如何打造专业SaaS客服平台 &quot;的线上分享.小编特别整理出其中精华内容,供大家学习 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1lY45b.html" rel="bookmark" class="title">Not all code paths return a value</a>
					<div>
						not all code paths return a value这句话直译是: 不是所有的代码都返回值   private bool aa()   {           foreach (Data ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeR6D8b.html" rel="bookmark" class="title">图片-SqlSEVER2008出现了一点问题，望哥哥姐姐们等帮我解决哈&comma;谢谢！</a>
					<div>
						问题描述 SqlSEVER2008出现了一点问题,望哥哥姐姐们等帮我解决哈,谢谢! 解决方案 sql server有问题了,需要重新安装					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRDY6ez.html" rel="bookmark" class="title">sql使用触发器当一张表插入数据就往另一张表插入数据</a>
					<div>
						问题描述 sql使用触发器当一张表插入数据就往另一张表插入数据 日期格式是这样的但是使用触发器当上图插入了一条数据就往下图插入相同的数据,如下图为什么日期格式不一样呢? 解决方案 SQL(二) 将一张 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7ZDarp.html" rel="bookmark" class="title">用条件变量来解决生产者消费者问题</a>
					<div>
						在上一篇文章中,我使用了匿名信号量 什么是条件变量? 我们可以设想一个场景:线程A需要某个条件成立才能继续执行,否则一直等待下去,而线程B执行过程中使线程的执行条件成立,并且唤醒A. 举个例子,在生产 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjLkG6p.html" rel="bookmark" class="title">mybatis-在java中怎么处理才能将数据存入postgresql数据库中类型为hstore的字段？</a>
					<div>
						问题描述 在java中怎么处理才能将数据存入postgresql数据库中类型为hstore的字段? /** * 增加批量导入映射. * * @param * @return */ @Action(va ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baBkgmM.html" rel="bookmark" class="title">&amp;lt&semi;转载&amp;gt&semi;Docker 企业版最受欢迎的 3 个新功能</a>
					<div>
						我已经在 Docker 工作两年多了,参与过每个版本的 Docker 企业版 (前称 Docker Datacenter),在此之前还曾经有过一个 Docker 企业版 (EE).我对这次的新版本比以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmBDnlz.html" rel="bookmark" class="title">spark yarn-cluster</a>
					<div>
						问题描述 INFOClient:Applicationreportforapplication_1461842099698_0002(state:ACCEPTED)16/04/2904:34:55IN ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodyggM.html" rel="bookmark" class="title">Spring mvc&comma;uploadifive 文件上传实践（转自：https&colon;&sol;&sol;segmentfault&period;com&sol;a&sol;1190000004503262）</a>
					<div>
						﻿﻿ 1.前台页面: 引入js和css 全选复制放进笔记 &lt;link type=&quot;text/css&quot; rel=&quot;stylesheet&quot; href=&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYGR6b.html" rel="bookmark" class="title">真功夫讨薪风波牵出前高管1&period;3亿关联交易案</a>
					<div>
						5日发生的一起&quot;讨薪&quot;事件牵出真功夫创始人涉嫌关联交易.据真功夫方面表示,&quot;讨薪方&quot;东莞逸晋为关联交易,公司目前已停止合作,而蔡达标涉案的关联交易金额高达900 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOny1qp.html" rel="bookmark" class="title">用友将携软件、云服务与金融业务参加2016中国互联网大会</a>
					<div>
						6月21-23日,由中国互联网协会主办的2016年中国互联网大会将在北京国际会议中心举办.用友网络科技股份有限公司(以下简称&quot;用友网络&quot;)将携软件.云服务与金融三大企业互联网服务业 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqWllZz.html" rel="bookmark" class="title">开发android应用，android studio和eclipse那个好？</a>
					<div>
						问题描述 开发android应用,android studio和eclipse那个好? eclipse总是出现R 文件丢失,android studio编译也出错,不知道用那个好. 解决方案 使用in ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQWOXZp.html" rel="bookmark" class="title">移动互联网时代（APP应用）是机遇的时代</a>
					<div>
						移动互联网的发展超越了互联网 手机已经成为用户最优先购买的终端,移动互联网的摩尔定律比PC时代更加明显,手机的普及速度和更换频率要比PC快得多,手机从单核处理器到双核,再到四核,甚至未来可能出现八核处 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK0oG7M.html" rel="bookmark" class="title">全国最大手机走私案再开庭</a>
					<div>
						本报广州8月3日电 记者邓新建通讯员陈云飞 记者今天从广东省人民检察院了解到,备受关注的全国最大手机走私案将于4日上午在珠海市中级人民法院二次开庭审理. 5月24日至28日,珠海中院第一次开庭审理后, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zen3xVb.html" rel="bookmark" class="title">详解VirtualBox虚拟机网络环境解析和搭建-NAT、桥接、Host-Only、Internal、端口映射&lowbar;VirtualBox</a>
					<div>
						由于前几天老师要检查大作业,而我们的数据库是放在虚拟机里的(不想在本机里放太多东西,保持轻便快速...),平时是用的桥接模式,但是考虑到可能教室里不好上网(图书馆底下信号比较差...),所以就试了试断 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlA9Gap.html" rel="bookmark" class="title">产品经理为什么要建立产品经理的能力模型</a>
					<div>
						如今,越来越多的人想做产品经理这个岗位,有不少公司.团队也都建立了以产品为中心的组织形式.所以,网上出现了很多&quot;产品经理的能力模型&quot;,大家都觉得很重要,理解之后就可以入行,同时又发 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boO7q6b.html" rel="bookmark" class="title">广外万台学生电脑被黑 黑客：我们可以做任何事</a>
					<div>
						&quot;你的电脑已被我们侵入--不用担心,我们不会破坏你的电脑,这只是一个科技秀--&quot;前天晚上9时50分许,广州外语外贸大学(以下简称广外)南校区(大学城校区)很多学生的电脑被强制关机, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0OWvPb.html" rel="bookmark" class="title">大数据：4步，算出下一个&OpenCurlyDoubleQuote;男神&rdquo;</a>
					<div>
						每一个爆红的&quot;老公&quot;后面,都有女人热气腾腾的爱情梦.梦想爱情,梦想完美的对象,并梦想被其至死不渝的追逐. 普通的霸道总裁已经不能满足观众了.上一个来自星星的都教授,不仅多金(攒了4 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWKJAAM.html" rel="bookmark" class="title">计算机专业这么多课程怎么学？</a>
					<div>
						[学生来信] 我是一名三线城市二本的计算机系的学生,现在是准大三的学生.现在有两个问题摆在面前,不知所措,希望您能给点建议. 第一个就是计算机专业的专业课太多了,繁多的编程语言课之外还有数据库.操作系 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
